Subject: Re: A few other features?

From: Sergey Matveev <[email-masked]>
Date: Wed, 4 Aug 2021 11:19:20 +0300

*** John Goerzen [2021-08-03 15:22]:
>It does send a message about certain things, right?  Such as files received?
>Or is that different in your mind because that's all on the receiving end?
>I suppose there could be a new packet type - "result" or some such - that
>wouldn't require a remote to be able to exec sendmail, and could be
>transformed into an email locally.

Yeah, I thought and mean exactly about the new packet type ("result").
Of course not ordinary exec-packet.

>That actually dramatically simplifies things.

Should so! I am honestly do not know why I artificially limited ability
to "reroute" those packets. Possibly becase I assumed that the
originator of the packet forcefully wants *exactly* that nodes to
participate during the transmission? Possibly someone forcefully do not
want some node to see some packets (even their sizes)? But anyway noone
has any guarantees about delivery path, so why bothering? It is like
SMTP: you can send email to the server via forced TLS, but after that,
you have no abilities to control if TLS is used at all.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF